OptEnv Struct Reference

## Data Fields

MinMaxLen | mmd
OnigEncoding | enc
OnigOptionType | options
OnigCaseFoldType | case_fold_flag
ScanEnv * | scan_env

## Detailed Description

Definition at line 3973 of file regcomp.c.

## Field Documentation

OnigCaseFoldType OptEnv::case_fold_flag

Definition at line 3977 of file regcomp.c.

Referenced by optimize_node_left(), and set_optimize_info_from_tree().

OnigEncoding OptEnv::enc

Definition at line 3975 of file regcomp.c.

Referenced by alt_merge_node_opt_info(), alt_merge_opt_exact_info(), optimize_node_left(), and set_optimize_info_from_tree().

MinMaxLen OptEnv::mmd

Definition at line 3974 of file regcomp.c.

Referenced by optimize_node_left(), and set_optimize_info_from_tree().

OnigOptionType OptEnv::options

Definition at line 3976 of file regcomp.c.

Referenced by optimize_node_left(), and set_optimize_info_from_tree().

ScanEnv* OptEnv::scan_env

Definition at line 3978 of file regcomp.c.

Referenced by optimize_node_left(), and set_optimize_info_from_tree().

The documentation for this struct was generated from the following file:

- regcomp.c